> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Startet die Verarbeitung von Dateien in einem neuen Vorgang

> Erstellt eine Transaction, die zur Verarbeitung von Dateien verwendet wird.
Die maximale Größe des Anforderungstexts (Request Body) darf 2 GB nicht überschreiten.
Die Transaction wird automatisch gestartet.



## OpenAPI

````yaml /de/openapi.json post /api/publicapi/v1/transactions/launch
openapi: 3.0.4
info:
  description: 'Umgebung: Produktion<br>Produktversion: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: Produktion USA
    url: https://vantage-us.abbyy.com
  - description: Produktion Europa
    url: https://vantage-eu.abbyy.com
  - description: Produktion Australien
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions/launch:
    post:
      tags:
        - Transactions
      summary: Startet die Verarbeitung von Dateien in einem neuen Vorgang
      description: >-
        Erstellt eine Transaction, die zur Verarbeitung von Dateien verwendet
        wird.

        Die maximale Größe des Anforderungstexts (Request Body) darf 2 GB nicht
        überschreiten.

        Die Transaction wird automatisch gestartet.
      operationId: LaunchTransaction
      parameters:
        - in: query
          name: skillId
          schema:
            type: string
      requestBody:
        content:
          multipart/form-data:
            encoding:
              Files:
                contentType: application/octet-stream
                explode: true
                style: form
              Model:
                contentType: application/json
                explode: true
                style: form
            schema:
              properties:
                Files:
                  items:
                    description: >-
                      Modell zum Empfangen einer Datei, die in einem
                      multipart/*-Inhalt übermittelt wird
                    format: binary
                    type: string
                  type: array
                Model:
                  additionalProperties: false
                  description: >-
                    Zusätzliche Parameter für die Verarbeitung des Vorgangs.
                    Siehe Modell TransactionLaunchMetadataDto.
                  properties:
                    files:
                      description: Verarbeitungsparameter für Dateien
                      items:
                        $ref: >-
                          #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionFileMetadataDto
                      nullable: true
                      type: array
                    registrationParameters:
                      description: Zusätzliche Registrierungsparameter für einen Vorgang
                      items:
                        $ref: >-
                          #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionRegistrationParameter
                      maxItems: 10
                      nullable: true
                      type: array
                    skillParameters:
                      description: Skill-Parameter für den Vorgang
                      items:
                        $ref: >-
                          #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionSkillParameter
                      maxItems: 10
                      nullable: true
                      type: array
                  type: object
              type: object
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.CreatedTransactionResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.CreatedTransactionResult
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.CreatedTransactionResult
          description: Transaction erfolgreich erstellt und gestartet
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: Einige Dateien sind ungültig oder skillId wurde nicht angegeben
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: >-
            Skill mit der angegebenen skillId wurde nicht gefunden oder wurde
            nicht veröffentlicht
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionFileMetadataDto:
      additionalProperties: false
      description: Zusätzliche Parameter für die Dateiverarbeitung
      properties:
        imageProcessingOptions:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.ImageProcessingOptions
        index:
          description: Dokumente im Vorgang werden anhand dieses Parameters sortiert
          nullable: true
          type: string
        registrationParameters:
          description: >-
            Zusätzliche Parameter für die Dateiregistrierung. Vordefinierte
            Parameter:
                        
            SourceType: Woher die Datei stammt, in der Regel der Name des
            Connectors (Scan-Station);
                        
            SourceDetails: Wie die Datei erhalten wurde;
                        
            SourceFileName: Der Name der hinzuzufügenden Datei (invoice.jfif)
                        
            SourceFilePath: Der Pfad zur Datei
                        
            SourceArchiveName: Der Name des Archivs, das die hinzuzufügende
            Datei enthält
                        
            SourceFolderName: Der Name des Unterordners, der die hinzuzufügende
            Datei enthält
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionFileRegistrationParameter
          maxItems: 10
          nullable: true
          type: array
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionRegistrationParameter:
      additionalProperties: false
      description: Registrierungsparameter für die Transaction
      properties:
        key:
          description: Schlüsselname des Parameters
          minLength: 1
          type: string
        value:
          description: Wert des Parameter
          minLength: 1
          type: string
      required:
        - key
        - value
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionSkillParameter:
      additionalProperties: false
      description: Skill-Parameter für den Vorgang
      properties:
        key:
          description: Schlüsselname des Parameters
          minLength: 1
          type: string
        value:
          description: Wert des Parameters
          minLength: 1
          type: string
      required:
        - key
        - value
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.CreatedTransactionResult:
      additionalProperties: false
      properties:
        transactionId:
          format: uuid
          type: string
      required:
        - transactionId
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.ImageProcessingOptions:
      additionalProperties: false
      description: Einstellungen für die Bildvorverarbeitung beim Import
      properties:
        autoCrop:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.PreprocessingOperationSwitcher
        autoOrientation:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.PreprocessingOperationSwitcher
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.TransactionFileRegistrationParameter:
      additionalProperties: false
      properties:
        key:
          description: Schlüssel (Name) des Parameters
          minLength: 1
          type: string
        value:
          description: Wert des Parameters
          minLength: 1
          type: string
      required:
        - key
        - value
      type: object
    Abbyy.Vantage.PublicApi.Contract.Transactions.Requests.PreprocessingOperationSwitcher:
      description: Umschalter für Bildvorverarbeitungsoperationen
      enum:
        - Default
        - 'Yes'
        - 'No'
      type: string
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````